Name:           libudpm-perl
Version:        0.85
Release:        2
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Team BlueOnyx
URL:            http://www.blueonyx.info
License:        See /usr/share/doc/libudpm-perl/copyright
Group:          Converted/interpreters
Distribution:   BlueOnyx 5209R
BuildArch:      noarch
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        Perl extension for User Dialogs

%description
UDPM strives to be full-featured and robust in everything to do
with simple end-user interfaces. Care has been taken to provide
a clean OO interface to common command line utilities as well as
providing a native ascii mode simulating the various interface
widgets.

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/%{name}-%{version}-%{release}
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/share/perl5/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/examples

install -m644 usr/share/doc/libudpm-perl/README $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/README
install -m644 usr/share/doc/libudpm-perl/changelog.Debian.gz $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/changelog.Debian.gz
install -m644 usr/share/doc/libudpm-perl/changelog.gz $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/changelog.gz
install -m644 usr/share/doc/libudpm-perl/copyright $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/copyright
install -m755 usr/share/doc/libudpm-perl/examples/nautilus_debug.pl $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/examples/nautilus_debug.pl
install -m644 usr/share/doc/libudpm-perl/examples/udpm-demo.pl.gz $RPM_BUILD_ROOT/usr/share/doc/libudpm-perl/examples/udpm-demo.pl.gz
install -m644 usr/share/man/man3/UDPM.3pm.gz $RPM_BUILD_ROOT/usr/share/man/man3/UDPM.3pm.gz
install -m644 usr/share/perl5/UDPM.pm $RPM_BUILD_ROOT/usr/share/perl5/UDPM.pm

%post

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/doc/libudpm-perl/*
/usr/share/man/man3/UDPM.3pm.gz
/usr/share/perl5/UDPM.pm

%changelog

* Thu Mar 05 2015 Michael Stauber <mstauber@solarspeed.net> 0.85-2
- Re-rolled for BlueOnyx 5209R on EL7


